VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
VisiMath.Collisions.ISpatialDivider Interface Reference

Divides space to two halves, used for portals. More...

Inheritance diagram for VisiMath.Collisions.ISpatialDivider:

List of all members.

## Public Member Functions
bool | IsInside (ref ISpatialIndex index)
| returns true if spatial index is at least partially on the "inside" part of the space
bool | IsFullyInside (ref ISpatialIndex index)
| returns true if spatial index is fully in the "inside" part of the space
bool | MovedThrough (ref ISpatialIndex startpos, ref ISpatialIndex endpos)
| Returns true, if object moving from one position to another moved fully through the portal.

## Detailed Description

Divides space to two halves, used for portals.

## Member Function Documentation

bool VisiMath.Collisions.ISpatialDivider.IsFullyInside | ( | ref ISpatialIndex | index | ) |

returns true if spatial index is fully in the "inside" part of the space

Parameters:

  index | Spatial index

Returns:
  True if inside

Implemented in VisiMath.Collisions.BaseSpatialDivider.

bool VisiMath.Collisions.ISpatialDivider.IsInside | ( | ref ISpatialIndex | index | ) |

returns true if spatial index is at least partially on the "inside" part of the space

Parameters:

  index | Spatial index

Returns:
  True if inside

Implemented in VisiMath.Collisions.BaseSpatialDivider.

bool VisiMath.Collisions.ISpatialDivider.MovedThrough | ( | ref ISpatialIndex | startpos,
|  | ref ISpatialIndex | endpos
| ) |  |

Returns true, if object moving from one position to another moved fully through the portal.

Parameters:

  startpos | Starting position
  endpos | Ending position

Returns:
  True if object moved

Implemented in VisiMath.Collisions.BaseSpatialDivider, and VisiMath.Collisions.QuadSpatialDivider.

The documentation for this interface was generated from the following file:

- SpatialDivider.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events